VmWare ESXi sur une machine de moins de 4Gb de RAM | Babash

par francois · Publication 7 avril 2014 · Mis à jour 7 avril 2014

VmWare ESXi 5.5 nécessite plus de 4Gb de RAM pour s’installer. Ce qui m’a valu un petit blocage lors de ma tentative d’installation de Xpenology.

Comme j’étais sûr de faire tourner très rapidement autre chose sur mon serveur, j’ai acheté une barrette de 8Gb. Par contre, pour ceux qui ne veulent pas acheter de la RAM, voici une astuce pour passer le contrôle:

  1. Démarrez votre machine avec une clée USB disposant de VmWare ESXi 5.5,
  2. Lorsque vous êtes sur la page de bienvenue, faites ALT+F1,
  3. Identifiez vous en root, sans mot de passe,
  4. Attention, vous êtes en clavier anglais !
  5. cd /usr/lib/vmware/weasel/util
  6. rm upgrade_precheck.pyc
  7. cp upgrade_precheck.py upgrade_precheck.py.old
  8. chmod 666 upgrade_precheck.py
  9. vi upgrade_precheck.py
  10. Tapez : /MEM_MIN puis ENTRER
  11. Appuyez sur i pour modifier la ligne
  12. Editez cette ligne pour lire : « MEM_MIN_SIZE= (1*1024–32) »
  13. Appuyez sur « ESC » and tapez : « :wq » puis ENTRER
  14. ps -c | grep weasel
  15. Notez le numéro du processus qui tourne pour « python »
  16. Tapez cete commande : « kill -9  »
  17. Cela vous ramène sur l’installeur de VmWare
  18. Installez VmWare !

Étiquettes : 4gbblocageesxiforcer installationramvmware

Lire plus :   Serveur Vocal | Babash

A lire également